package com.isu.gaswellwatch.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.annotation.OperationLog;
import com.isu.gaswellwatch.entity.Response;
import com.isu.gaswellwatch.enums.LogType;
import com.isu.gaswellwatch.service.UserOperationRecordService;
import com.isu.gaswellwatch.vo.UserOperationRecordVO;
import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("userOperationRecord")
public class UserOperationRecordController {
    /**
     * 服务对象
     */
    @Autowired
    private UserOperationRecordService operationRecordService;

    @GetMapping("/page")
    public Response<Page<UserOperationRecordVO>> page(@RequestParam Integer currentPage,
                                                      @RequestParam Integer pageSize,
                                                      @RequestParam(required = false) Integer type,
                                                      @RequestParam(required = false) String username,
                                                      @RequestParam(required = false) String nickname,
                                                      @RequestParam(required = false) Integer result,
                                                      @RequestParam(required = false) String startTime,
                                                      @RequestParam(required = false) String endTime) {
        return Response.succeed(operationRecordService.page(currentPage, pageSize, type, username, nickname, result, startTime, endTime));
    }

    @GetMapping("/export")
    @OperationLog(description = "日志导出",type = LogType.EXPORT)
    public void export(HttpServletResponse response,
                       @RequestParam(required = false) Integer type,
                       @RequestParam(required = false) String username,
                       @RequestParam(required = false) String nickname,
                       @RequestParam(required = false) Integer result,
                       @RequestParam(required = false) String startTime,
                       @RequestParam(required = false) String endTime) {
        operationRecordService.export(response,type, username, nickname, result, startTime, endTime);
    }
}
