package com.isu.gaswellwatch.vo;

import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 * 设备控制页面返回对象 DeviceControlVO
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class DeviceControlVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

        /** 运行模式 */
        private String runMode;

        /** 开关井 */
        private String wellCtl;

        /** 定时器使能1 */
        private String timerAble1;

        /** 定时器使能2 */
        private String timerAble2;

        /** 定时器1开井时间 */
        private String timerOpen1;

         /** 定时器1关井时间 */
        private String timerClose1;

        /** 定时器2开井时间 */
    private String timerOpen2;

    /** 定时器2关井时间 */
    private String timerClose2;

    /** 计时器开井时长 */
    private String timingOpen;

    /** 计时器关井时长 */
    private String timingClose;

    /** 计时器延时时长 */
    private String timingDelay;

    /** 压力源 */
    private String presource;

    /** 开井压力 */
    private String pressureOpen;

    /** 关井压力 */
    private String pressureClose;

    /** 触发类型 */
    private String triggerType;

    /** 压力稳定时间 */
    private String stabilityTime;

    /** 最大开井时长 */
    private String maxOpenWell;

    /** 最小开井时长 */
    private String minOpenWell;

    /** 最大关井时长 */
    private String maxCloseWell;

    /** 最小关井时长 */
    private String minCloseWell;

    /** 开井压力保护使能 */
    private String presproTect;

    /** 开井压力保护源 */
    private String presproSource;

    /** 开井压力限制上限 */
    private String openWellLimitMax;

    /** 开井压力限制下限 */
    private String openWellLimitMin;

    /** 柱塞模式初始气井状态 */
    private String plugInitStatus;

    /** 柱塞模式续流时长 */
    private String plugSustainTime;

    /** 柱塞模式关井时长 */
    private String plugCloseTime;

    /** 时压模式初始气井状态 */
    private String tpInitStatus;

    /** 时压模式开井源 */
    private String tpOpenSource;

    /** 时压模式开井触发 */
    private String tpOpenTrigger;

    /** 时压模式开井压力 */
    private String tpOpenPressure;

    /** 时压模式开井时长 */
    private String tpOpenTime;

    /** 时压模式关井源 */
    private String tpCloseSource;

    /** 时压模式关井触发 */
    private String tpCloseTrigger;

    /** 时压模式关井压力 */
    private String tpClosePressure;

    /** 时压模式关井时长 */
    private String tpCloseTime;

    /** 时压模式压力稳定时长 */
    private String tpStabilityTime;
}